{{#if @map.hasCover}}
  <div class='row browse-map-title mb-3'>
    <div class='col d-none d-md-block'>
      <div class='map-cover-image' style={{this.coverStyle}}></div>
    </div>

    <div class='col d-md-none'>
      <div class='map-square-cover-image' style={{this.squareCoverStyle}}></div>
    </div>
  </div>
{{/if}}

<div class='row browse-map-title'>
  <div class='col col-md-9'>
    <h1>
      {{@map.name}}

      <div class='float-end text-size-0 pt-1'>
        <ModelActions::Map @record={{@map}} @isSmall={{true}} @hideViewFeatures={{true}} />

        {{#if (or @map.showPublicDownloadLinks @map.canEdit)}}
          <Browse::Map::Download @map={{@map}} class='d-inline-block' />
        {{/if}}
      </div>
    </h1>

    {{#if @map.tagLine}}
      <p class='lead tag-line'>
        {{@map.tagLine}}
      </p>
    {{/if}}
  </div>
</div>

{{yield}}